<?php

declare(strict_types=1);

namespace apexl\Io\interfaces;

use Stash\Interfaces\PoolInterface;

interface CacheInterface extends PoolInterface
{
    public function remember(string $key, callable $callback, ?int $ttl = null): mixed;
}